# TODO:
# - examples and docs for python3
# - builds, but got syntax errors when buildings
#
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module  SQLAlchemy
Summary:	Database Abstraction Library
Summary(pl.UTF-8):	Biblioteka abstrakcji baz danych
Name:		python-%{module}
Version:	0.6.9
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/sqlalchemy/%{module}-%{version}.tar.gz
# Source0-md5:	518c5eeca5623bb1fbac74f6917f922a
URL:		http://www.sqlalchemy.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-distribute
BuildRequires:	python-setuptools >= 0.6-0.a9.1
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
%pyrequires_eq  python-modules
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python SQL toolkit and Object Relational Mapper that gives
application developers the full power and flexibility of SQL.
SQLAlchemy provides a full suite of well known enterprise-level
persistence patterns, designed for efficient and high-performing
database access, adapted into a simple and Pythonic domain language.

Python 2.x version.

%description -l pl.UTF-8
Zestaw narzędzi SQL dla Pythona oraz odwzorowań obiektowo-relacyjnych
dających programistom całą potęgę i elastyczność SQL-a. SQLAlchemy
udostępnia pełny zbiór dobrze znanych wzorców trwałości,
zaprojektowanych do wydajnego dostępu do baz danych, zaadoptowanych do
prostej, pythonowej domeny językowej.

Wersja dla pythona 2.x.

%package -n python3-%{module}
Summary:	Database Abstraction Library
Summary(pl.UTF-8):	Biblioteka abstrakcji baz danych
Group:		Libraries/Python

%description -n python3-%{module}
The Python SQL toolkit and Object Relational Mapper that gives
application developers the full power and flexibility of SQL.
SQLAlchemy provides a full suite of well known enterprise-level
persistence patterns, designed for efficient and high-performing
database access, adapted into a simple and Pythonic domain language.

Python 3.x version.

%description -n python3-%{module} -l pl.UTF-8
Zestaw narzędzi SQL dla Pythona oraz odwzorowań obiektowo-relacyjnych
dających programistom całą potęgę i elastyczność SQL-a. SQLAlchemy
udostępnia pełny zbiór dobrze znanych wzorców trwałości,
zaprojektowanych do wydajnego dostępu do baz danych, zaadoptowanych do
prostej, pythonowej domeny językowej.

Wersja dla Pythona 3.x.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif
%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%{__python} setup.py build -b build-2 \
	install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README* doc/*.html
%{py_sitescriptdir}/SQLAlchemy*
%{py_sitescriptdir}/sqlalchemy*
%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/SQLAlchemy*
%{py3_sitescriptdir}/sqlalchemy*
%endif
%changelog
* Sun Jan 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-SQLAlchemy.git;a=log;h=master

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 54e1370
up to 0.6.9

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f58c77
- release 2 (by relup.sh)

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> b08e639
- Version: 0.6.8
- do not remove *.py for python3

* Tue Apr 26 2011 lisu <lisu@pld-linux.org> ae5686b
- updated to 0.6.7

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> fb2f238
- 0.6.6

* Mon Oct 25 2010 lisu <lisu@pld-linux.org> fd4f4aa
- 0.6.5

* Wed Sep 08 2010 lisu <lisu@pld-linux.org> ca8690d
- 0.6.4

* Tue Jul 20 2010 lisu <lisu@pld-linux.org> a61c4ed
- 0.6.3

* Mon Jul 12 2010 lisu <lisu@pld-linux.org> a563aec
- up to 0.6.2
- drop unrecognised option --single-version-externally-managed in python3 build
- python-distribute3 -> python-distribute
- syntax errors during build

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 425ff2c
- release 2

* Tue Jun 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bcebf73
- fix without python3 build

* Wed Jun 16 2010 lisu <lisu@pld-linux.org> 1ce1e26
- 0.6.1
- %%{module} in Name
- adapter

* Mon Apr 26 2010 Artur Frysiak <artur@frysiak.net> cf2a359
- BR python3-modules
- release 2

* Mon Apr 26 2010 Artur Frysiak <artur@frysiak.net> 8a7fe97
- BR 2to3

* Mon Apr 26 2010 Artur Frysiak <artur@frysiak.net> 0f26694
- python3 subpackage

* Mon Apr 26 2010 lisu <lisu@pld-linux.org> c7fa20e
- up to 0.6.0
- merge with DEVEL

* Fri Jan 22 2010 lisu <lisu@pld-linux.org> bf0aeea
- 0.5.8

* Mon Dec 28 2009 lisu <lisu@pld-linux.org> af4c7ed
- 0.5.7

* Tue Sep 22 2009 lisu <lisu@pld-linux.org> 6a3ba22
- up to 0.5.6

* Wed Jul 15 2009 lisu <lisu@pld-linux.org> f8e5d67
- up to 0.5.5

